> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener una aprobación de triaje

> Todos ven sus propias solicitudes. Los revisores con el permiso Can approve or reject triage requests (`heeler.approve_triage_request`) también ven las de otros, sujetos al acceso a todos los proyectos cuando se aplica el control de acceso. Las solicitudes fuera de esta vista devuelven 404. Devuelve approval, findings y pagination. Los hallazgos respetan el acceso a proyectos; solo los administradores reciben filas sin proyecto. Con el control de acceso, un revisor que no sea solicitante ni administrador recibe rule sin project_ids ni team_ids y source_metadata vacío.



## OpenAPI

````yaml /es/api-reference/openapi.json get /triage/approvals/{action_id}
openapi: 3.0.0
info:
  title: API de Corgea
  version: 1.0.0
  description: >-
    API para interactuar con las funciones de escaneo y gestión de
    vulnerabilidades de Corgea
servers:
  - url: https://www.corgea.app/api/v1
    description: Servidor de producción
  - url: https://eu.corgea.app/api/v1
    description: Servidor de producción de la UE
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /triage/approvals/{action_id}:
    get:
      tags:
        - Triaje
      summary: Obtener una aprobación de triaje
      description: >-
        Todos ven sus propias solicitudes. Los revisores con el permiso Can
        approve or reject triage requests (`heeler.approve_triage_request`)
        también ven las de otros, sujetos al acceso a todos los proyectos cuando
        se aplica el control de acceso. Las solicitudes fuera de esta vista
        devuelven 404. Devuelve approval, findings y pagination. Los hallazgos
        respetan el acceso a proyectos; solo los administradores reciben filas
        sin proyecto. Con el control de acceso, un revisor que no sea
        solicitante ni administrador recibe rule sin project_ids ni team_ids y
        source_metadata vacío.
      operationId: getTriageApproval
      parameters:
        - name: action_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
      responses:
        '200':
          description: Éxito
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ok
                  approval:
                    $ref: '#/components/schemas/TriageApproval'
                  findings:
                    type: array
                    items:
                      $ref: '#/components/schemas/EsTriageFindingAudit'
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                      page_size:
                        type: integer
                      total_pages:
                        type: integer
                      total_findings:
                        type: integer
        '400':
          description: Solicitud inválida
        '401':
          description: Token ausente o inválido
        '403':
          description: Permisos o acceso del plan insuficientes
        '404':
          description: Solicitud no encontrada o fuera de tu acceso
        '405':
          description: Método HTTP no admitido
components:
  schemas:
    TriageApproval:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
        source:
          type: string
        target_status:
          type: string
        justification:
          type: string
        accepted_risk_expiry_date:
          type: string
          format: date-time
          nullable: true
        rule:
          type: object
        source_metadata:
          type: object
        requires_approval:
          type: boolean
        requested_by:
          type: integer
          nullable: true
        approved_by:
          type: integer
          nullable: true
        rejected_by:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
        reviewed_at:
          type: string
          format: date-time
          nullable: true
        applied_at:
          type: string
          format: date-time
          nullable: true
        counts:
          type: object
          properties:
            matched:
              type: integer
            unmatched:
              type: integer
            ambiguous:
              type: integer
            applied:
              type: integer
            conflicts:
              type: integer
        decision_label:
          type: string
        requester:
          type: object
          properties:
            id:
              type: integer
              nullable: true
            name:
              type: string
              nullable: true
        review_comment:
          type: string
          nullable: true
        finding_total:
          type: integer
        finding_previews:
          type: array
          maxItems: 3
          items:
            type: object
            properties:
              kind:
                type: string
                enum:
                  - sast
                  - sca
              id:
                type: string
              title:
                type: string
              severity:
                type: string
              location:
                type: string
        project_names:
          type: array
          items:
            type: string
        skip_count:
          type: integer
        closed_by_rescan:
          type: boolean
        can_review:
          type: boolean
        is_requester:
          type: boolean
        suggestion:
          type: object
          nullable: true
        investigation:
          type: object
          nullable: true
    EsTriageFindingAudit:
      type: object
      properties:
        id:
          type: string
          format: uuid
        finding_type:
          type: string
          enum:
            - sast
            - sca
          description: >-
            sast abarca los findings de las familias SAST, secretos, lógica y
            calidad de código; sca abarca los findings de dependencias. El
            triaje masivo solo alcanza estas familias.
        finding_id:
          type: string
          format: uuid
          nullable: true
        project_id:
          type: integer
          nullable: true
        previous_status:
          type: string
          nullable: true
        previous_status_comment:
          type: string
          nullable: true
        previous_accepted_risk_expiry_date:
          type: string
          format: date-time
          nullable: true
        new_status:
          type: string
        new_status_comment:
          type: string
          nullable: true
        severity:
          type: string
          nullable: true
        application_status:
          type: string
          enum:
            - pending
            - applied
            - conflict
            - unmatched
            - ambiguous
        match_evidence:
          type: object
        source_record:
          type: object
        applied_at:
          type: string
          format: date-time
          nullable: true
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: >-
        Clave de API para la autenticación Se rechazan los tokens de API de
        usuarios inactivos.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Token de acceso OAuth2 (JWT) en el encabezado Authorization

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.